@keyframes carousel {
    0% {
        transform: translateX(0);
    }

    100% {
        transform: translateX(-100%);
    }
}

div.carousel {
/*    display: block; */
    white-space: nowrap;
    padding-top:20px;
    padding-bottom: 20px;
    overflow: hidden;
    position: relative;
    display: flex;
    flex-direction: row;
    flex-grow: 0;
}

div.carousel::before {
    position:absolute;
    top:0px;
    left:0px;
    background:linear-gradient(to left, rgba(255, 255, 255, 0), white);
    content: "";
    width: 10%;
    height: 100%;
    z-index: 2000;
}

div.carousel::after {
    position:absolute;
    top:0px;
    right:0px;
    background:linear-gradient(to right, rgba(255, 255, 255, 0), white);
    content: "";
    width: 10%;
    height: 100%;
    z-index: 2000;
}

div.carousel-content {
    white-space: inherit;
    animation-name: carousel;
    animation-iteration-count: infinite;
    animation-timing-function: linear;
/*    display: inline-block; */
    display: flex;
    flex-direction: row;
    flex-grow: 0;
}

div.carousel-content div,
div.carousel-content img {
    margin-left:70px;
    margin-right:70px;
    height: 50px;
}

div.carousel:hover div.carousel-content {
    animation-play-state: paused;
}

div.carousel.partners div.carousel-content {
    animation-duration: 20s;
}

div.carousel.references div.carousel-content {
    animation-duration: 70s;
}
